Bug 444569 - kazehakase-webkit: crashes when trying to open any url
kazehakase-webkit: crashes when trying to open any url
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kazehakase (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-29 03:32 EDT by Tomas Hoger
Modified: 2009-04-17 14:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.6-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 14:01:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-29 03:32:09 EDT
Description of problem:
kazehakase-webkit crashes when trying to open any URL.


Version-Release number of selected component (if applicable):
$ rpm -qa kazehakase* WebKit-gtk
kazehakase-webkit-0.5.4-2.fc8.x86_64
kazehakase-base-0.5.4-2.fc8.x86_64
WebKit-gtk-1.0.0-0.8.svn31787.fc8.x86_64

Same with kazehakase-*-0.5.4-2.fc8.1 from updates-testing (I wonder why that one
is not in updates along with other packages in FEDORA-2008-3283).


Steps to Reproduce:
Start kazehakase, type any URL to address bar and hit enter, or run kazehakase
<url>.

$ kazehakase www.fedoraproject.org

(kazehakase:3485): Kazehakase-CRITICAL **: kz_tab_label_new: assertion
`KZ_IS_EMBED(kzembed)' failed

(kazehakase:3485): Gtk-CRITICAL **: gtk_widget_show_all: assertion
`GTK_IS_WIDGET (widget)' failed

(kazehakase:3485): Gtk-CRITICAL **: gtk_widget_show: assertion `GTK_IS_WIDGET
(widget)' failed

(kazehakase:3485): Gtk-CRITICAL **: gtk_notebook_insert_page: assertion
`GTK_IS_WIDGET (child)' failed

(kazehakase:3485): Kazehakase-CRITICAL **: kz_notebook_get_sibling_tab_label:
assertion `KZ_IS_TAB_LABEL(label)' failed
Segmentation fault


Additional info:
Maybe there is some missing dependency on my system.  I just did 'yum install
kazehakase-webkit' and all its deps.
Comment 1 Mamoru TASAKA 2008-04-29 03:50:43 EDT
Well actually this is a issue. Would you try (assuming you are in
en_US locale)

- just launch kazehakase (withOUT passing any URL)
- select "Edit -> Preference"
- first select "UI level" and choose "Expert" then push "Apply"
- next select "Browser", set "Layout engine" to "webkit_gtk", then
  push "Okay"
- then type a URL in a URL bar

If you still see crash, then it maybe that higher WebKit is needed
(actually on rawhide WebKit svn31787 causes just crash). If such
case, would you try the following?
http://koji.fedoraproject.org/scratch/mtasaka/task_580048/
Comment 2 Mamoru TASAKA 2008-04-29 04:04:38 EDT
Oops, please use this:
http://koji.fedoraproject.org/scratch/mtasaka/task_580074/
Comment 3 Tomas Hoger 2008-04-29 04:07:26 EDT
(In reply to comment #1)
> Well actually this is a issue. Would you try (assuming you are in
> en_US locale)
> 
> - just launch kazehakase (withOUT passing any URL)
> - select "Edit -> Preference"
> - first select "UI level" and choose "Expert" then push "Apply"
> - next select "Browser", set "Layout engine" to "webkit_gtk", then
>   push "Okay"
> - then type a URL in a URL bar

Typing URL in address bar or providing it as command line argument does not
render the page.  Links from bookmarks panel load fine (well, I just tried
couple of pages and got one crash during that).

> If you still see crash, then it maybe that higher WebKit is needed
> (actually on rawhide WebKit svn31787 causes just crash). If such
> case, would you try the following?
> http://koji.fedoraproject.org/scratch/mtasaka/task_580048/

Will see if I can find some F9 machine to test.
Comment 4 Tomas Hoger 2008-04-29 04:14:49 EDT
(In reply to comment #2)
> Oops, please use this:
> http://koji.fedoraproject.org/scratch/mtasaka/task_580074/

After very quick test, I see no obvious difference between
WebKit-gtk-1.0.0-0.8.svn32416 and WebKit-1.0.0-0.8.svn31787.

Problem with URL loading mentioned in comment #3 seems to vanish if I explicitly
provide http:// protocol specifier.  It seems kazehakase does not assume it as
default protocol as other browsers do.

Setting Preferences -> Browser -> Layout engine to Default still causes crashes
with new WebKit.


Comment 5 Mamoru TASAKA 2008-04-29 04:29:41 EDT
(In reply to comment #4)
> It seems kazehakase does not assume it as
> default protocol as other browsers do.
It seems.

> Setting Preferences -> Browser -> Layout engine to Default still causes crashes
> with new WebKit.
Yes, _It seems_ that kazehakase always sets that the default engine is
gecko.
Comment 6 Bug Zapper 2008-11-26 05:35:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Cristian Ciupitu 2008-11-30 05:02:19 EST
The problem and its fix still exist on Fedora 10.
Comment 8 Bug Zapper 2009-01-09 01:26:43 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Mamoru TASAKA 2009-04-11 12:38:38 EDT
Reopening. Actually at least on rawhide I found the fix for this
(actually, a typo...) and I guess the same fix can be applied for
F-10/9.
Comment 10 Fedora Update System 2009-04-11 14:14:31 EDT
kazehakase-0.5.6-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kazehakase-0.5.6-2.fc10
Comment 11 Fedora Update System 2009-04-11 14:16:16 EDT
kazehakase-0.5.6-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kazehakase-0.5.6-2.fc9
Comment 12 Fedora Update System 2009-04-13 15:35:05 EDT
kazehakase-0.5.6-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kazehakase'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3528
Comment 13 Fedora Update System 2009-04-16 14:41:24 EDT
kazehakase-0.5.6-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kazehakase-0.5.6-4.fc10
Comment 14 Fedora Update System 2009-04-16 14:43:57 EDT
kazehakase-0.5.6-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kazehakase-0.5.6-4.fc9
Comment 15 Fedora Update System 2009-04-17 14:01:27 EDT
kazehakase-0.5.6-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-04-17 14:06:22 EDT
kazehakase-0.5.6-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.